# Ellpeck's Minecraft Mod Commissions
If you need a small to medium sized Minecraft mod for a modpack, a video or for personal use, you can contact me to make it for you.

Here is all the information you need if you want to commission me to make a mod for you:
- Minecraft Forge mods only
- Minecraft Versions 1.10 through 1.13 only
- No ports of existing mods
- I charge between 10€ (~$11) and 30€ (~$33) an hour
    - I estimate the total amount of time it will take based on the size and complexity of the mod beforehand
    - The amount I estimate will be what you pay for, no matter how much longer or shorter it actually takes
- You will have the choice of whether you want to receive the source code privately or whether I should publish it on GitHub
- You will have the choice of whether you want to be sent the mod jar or whether I should publish the mod on CurseForge
- After the mod is completed, bug fixes are included for free, but feature updates and Minecraft version updates are not

If you're interested, you can either [send me an email](mailto:me@ellpeck.de), but better yet, [join my Discord server](https://ellpeck.de/discord) and message me privately from there so we can talk about the details.