const socials = [{
        'name': 'Email',
        'link': 'mailto:me@ellpeck.de',
        'darkIcon': true
    },
    {
        'name': 'Discord',
        'link': 'https://www.ellpeck.de/discord',
    },
    {
        'name': 'Twitter',
        'link': 'https://twitter.com/Ellpeck'
    },
    {
        'name': 'GitHub',
        'link': 'https://github.com/Ellpeck/',
        'darkIcon': true
    },
    {
        'name': 'YouTube',
        'link': 'https://www.youtube.com/c/ellpeck'
    },
    {
        'name': 'Twitch',
        'link': 'http://twitch.tv/ellpeck'
    },
    {
        'name': 'Reddit',
        'link': 'https://www.reddit.com/user/Ellpeck/',
        'darkIcon': true
    },
    {
        'name': 'Instagram',
        'link': 'https://instagram.com/Ellopecko'
    },
    {
        'name': 'Spotify',
        'link': 'https://open.spotify.com/user/ellpeck'
    },
    {
        'name': 'Last.fm',
        'link': 'https://www.last.fm/user/Ellpeck'
    },
    {
        'name': 'Steam',
        'link': 'http://steamcommunity.com/id/ellpeck/'
    },
    {
        'name': 'Facebook',
        'link': 'https://www.facebook.com/Ellpeck'
    }
];

let s = '';
for (social of socials) {
    s += '<a class="btn ' + (dark ? "btn-dark" : "btn-light") + ' social-button rounded-0" href="' + social['link'] + '"">';
    let icon = social['name'].toLowerCase();
    if (dark && social['darkIcon'])
        icon += '_dark';
    s += '<img class="social-image" src="res/social/' + icon + '.png" alt="">';
    s += social['name'];
    s += '</a>'
}
$('#social-list').html(s);