const support = [{
        'name': 'Support me on Patreon',
        'desc': 'Patreon is a great way of giving me money regularly. You automatically give me a set amount each month, and in return, you can get cool rewards like visual fanciness for your Minecraft character when using my mods.',
        'link': 'https://patreon.com/Ellpeck',
        'icon': 'patreon'
    },
    {
        'name': 'Donate with PayPal',
        'desc': 'If you prefer the idea of giving me some money as a one-time payment, using PayPal is probably your best bet. It\'s quick and easy, and it helps me out just the same way.',
        'link': 'https://paypal.me/Ellpeck',
        'icon': 'paypal'
    },
    {
        'name': 'Send me a gift',
        'desc': 'If you want to make a nice surprise, then you can get me something from my Amazon wishlist. I update it fairly regularly and items I want most are generally closer to the top. Keep in mind that the link goes to the German Amazon page, but for most products, you can just change the link a bit and it\'ll come up with the same. Please don\'t get me anything too expensive, though.',
        'link': 'https://ellpeck.de/wishlist',
        'icon': dark ? 'amazon_dark' : 'amazon'
    }
];

let sp = '';
for (way of support) {
    sp += '<div class="row align-items-center">';

    sp += '<div class="col-md-auto">';
    sp += '<a class="btn ' + (dark ? "btn-dark" : "btn-light") + ' support-button rounded-0" href="' + way['link'] + '"><img src="res/support/' + way['icon'] + '.png" class="support-image" alt="">' + way['name'] + '</a>';
    sp += '</div>';

    sp += '<div class="col support-desc">';
    sp += way['desc'];
    sp += '</div>';

    sp += '</div>';
}
$('#support-list').html(sp);